Subject: I'll see you I really liked - let's get acquainted! I am from Russia!

From: [email-masked]
Date: Sun, 7 Mar 2010 16:07:02 -0300

Beautiful Russian women waiting to meet YOU! http://chose4772.spaces.live.com